Bug 1566826 - [abrt] __video_do_ioctl: WARNING: CPU: 2 PID: 1716 at drivers/media/v4l2-core/v4l2-ioctl.c:1296 v4l_enum_fmt+0xf11/0x12c0 [videodev] [videodev]
Summary: [abrt] __video_do_ioctl: WARNING: CPU: 2 PID: 1716 at drivers/media/v4l2-core...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e361e77d60f828a7b0f08cf4275...
: 1583307 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 05:15 UTC by deadrat
Modified: 2020-02-12 03:22 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-26 21:02:07 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (91.02 KB, text/plain)
2018-04-13 05:15 UTC, deadrat
no flags Details

Description deadrat 2018-04-13 05:15:34 UTC
Additional info:
reporter:       libreport-2.9.4
WARNING: CPU: 2 PID: 1716 at drivers/media/v4l2-core/v4l2-ioctl.c:1296 v4l_enum_fmt+0xf11/0x12c0 [videodev]
Modules linked in: fuse devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack rfcomm ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass iwlmvm mac80211 iTCO_wdt crct10dif_pclmul wmi_bmof crc32_pclmul ghash_clmulni_intel iTCO_vendor_support intel_cstate intel_uncore btusb uvcvideo btrtl videobuf2_vmalloc intel_rapl_perf snd_hda_codec_realtek
 snd_hda_codec_hdmi snd_hda_codec_generic iwlwifi btbcm btintel videobuf2_memops videobuf2_v4l2 videobuf2_common snd_hda_intel bluetooth ecdh_generic videodev rtsx_usb_ms media memstick snd_hda_codec cfg80211 joydev snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore shpchp mei_me i2c_i801 ideapad_laptop sparse_keymap rfkill wmi mei lpc_ich acpi_pad amdgpu chash gpu_sched rtsx_usb_sdmmc mmc_core rtsx_usb i915 radeon i2c_algo_bit drm_kms_helper crc32c_intel ttm drm serio_raw r8169 mii video i2c_hid
CPU: 2 PID: 1716 Comm: gnome-initial-s Not tainted 4.16.0-0.rc4.git0.1.fc28.x86_64 #1
Hardware name: LENOVO 80K6/Lenovo Z51-70, BIOS C2CN19WW(V2.00) 07/14/2015
RIP: 0010:v4l_enum_fmt+0xf11/0x12c0 [videodev]
RSP: 0018:ffffa3d784c9fca0 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff92a0da3bd100 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff92a11ed168f0
RBP: 0000000000000000 R08: 0000000000000030 R09: 0000000000000440
R10: 0000000000000000 R11: 0000000000000001 R12: ffffa3d784c9fd90
R13: ffffffffc0e6b9a0 R14: ffff92a0da023580 R15: ffffa3d784c9fd90
FS:  00007fee2a13fac0(0000) GS:ffff92a11ed00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fee147660c2 CR3: 000000041c7ba001 CR4: 00000000003606e0
Call Trace:
 __video_do_ioctl+0x25d/0x270 [videodev]
 ? path_openat+0x794/0x15f0
 ? copy_overflow+0x20/0x20 [videodev]
 ? video_usercopy+0x23c/0x5b0 [videodev]
 ? v4l2_ioctl+0xb4/0x100 [videodev]
 ? do_vfs_ioctl+0xa4/0x610
 ? SyS_ioctl+0x74/0x80
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: c7 c6 d3 f3 cc c0 e9 fe f1 ff ff 48 c7 c6 c9 e9 cc c0 3d 4d 54 32 31 0f 84 ec f1 ff ff 89 c6 48 c7 c7 7b f6 cc c0 e8 e9 bc 3e d9 <0f> 0b 41 80 7c 24 0c 00 0f 85 ee f1 ff ff 41 8b 44 24 2c 49 8d

Comment 1 deadrat 2018-04-13 05:15:55 UTC
Created attachment 1421198 [details]
File: dmesg

Comment 2 Gérald Hameau 2018-05-28 16:31:38 UTC
*** Bug 1583307 has been marked as a duplicate of this bug. ***

Comment 3 Benjamin Tiessen 2018-08-25 22:19:53 UTC
Description of problem:
Installing Fedora and restarting

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_CA.UTF-8
crash_function: __video_do_ioctl
kernel:         4.16.3-301.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 1474 at drivers/media/v4l2-core/v4l2-ioctl.c:1296 v4l_enum_fmt+0xf11/0x12c0 [videodev]
Modules linked in: fuse nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm mxm_wmi iTCO_wdt iTCO_vendor_support irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate intel_uncore intel_rapl_perf uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 snd_hda_codec_realtek snd_hda_codec_generic
 snd_hda_codec_hdmi snd_soc_rt5640 videobuf2_common snd_soc_rl6231 snd_usb_audio joydev snd_soc_core snd_hda_intel videodev snd_hda_codec snd_usbmidi_lib snd_compress snd_hda_core snd_pcm_dmaengine ac97_bus snd_hwdep snd_rawmidi snd_seq media snd_seq_device snd_pcm i2c_i801 lpc_ich mei_me mei snd_timer shpchp snd wmi video soundcore acpi_pad amdgpu chash gpu_sched uas usb_storage radeon i2c_algo_bit drm_kms_helper ttm drm e1000e crc32c_intel alx ptp pps_core mdio
CPU: 2 PID: 1474 Comm: gnome-initial-s Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./Z97X Killer, BIOS P2.50 05/11/2016
RIP: 0010:v4l_enum_fmt+0xf11/0x12c0 [videodev]
RSP: 0018:ffffa80949c93ca0 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff995ee2d24a00 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff995f1ed168f0
RBP: 0000000000000000 R08: 0000000000000030 R09: 0000000000000412
R10: 0000000000000000 R11: 0000000000000001 R12: ffffa80949c93d90
R13: ffffffffc0be09a0 R14: ffff995edc233b80 R15: ffffa80949c93d90
FS:  00007ff3273d3ac0(0000) GS:ffff995f1ed00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007ff3117c1082 CR3: 00000003dec92002 CR4: 00000000001606e0
Call Trace:
 __video_do_ioctl+0x25d/0x270 [videodev]
 ? path_openat+0x458/0x1560
 ? copy_overflow+0x20/0x20 [videodev]
 ? video_usercopy+0x23c/0x5b0 [videodev]
 ? v4l2_ioctl+0xb4/0x100 [videodev]
 ? do_vfs_ioctl+0xa4/0x610
 ? SyS_ioctl+0x74/0x80
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: c7 c6 d3 33 a9 c0 e9 fe f1 ff ff 48 c7 c6 c9 29 a9 c0 3d 4d 54 32 31 0f 84 ec f1 ff ff 89 c6 48 c7 c7 7b 36 a9 c0 e8 d9 8e 62 e8 <0f> 0b 41 80 7c 24 0c 00 0f 85 ee f1 ff ff 41 8b 44 24 2c 49 8d

Comment 4 Laura Abbott 2018-10-01 21:28:21 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 5 Laura Abbott 2018-11-26 21:02:07 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and let us know if the bug is still present on the latest kernel.

(Please note: sometimes bugs get mistakenly closed during our mass closing. If you think your bug was closed in error please reopen)

Comment 6 deadrat 2020-02-12 03:22:52 UTC
Apologies. No longer have access to that fedora machine. (I am just clearing my needinfo request.) thank you.


Note You need to log in before you can comment on or make changes to this bug.